
<div id="page_header">Manage Shows</div>
<?

switch ($_POST["action"]){
    case "addshow":
		$toadd[]=array( 'title' => $_POST["title"],
			'start' => $_POST["start"],
			'end' => $_POST["end"] );
		$result=addshow($toadd);
		if($result[0] < 0){
			echo "<div id=\"errmsg\">Error: add show " . $_POST["title"] . " failed<br /></div>";
			break;
		}
		break;
    case "modshow":
		$tomod[]=array('id' => $_POST["modid"],
			'title' => $_POST["title"],
			'start' => $_POST["start"],
			'end' => $_POST["end"],
			'max_pri' => $_POST["max_pri"] );
		$result=modshow($tomod);
		if($result[0]==false){
			echo "<div id=\"errmsg\">Error: modify show " . $_POST["title"] . "failed<br /></div>";
		}
		break;
    case "delshow":
		if(!is_array($_POST["delid"])){
			$todel[]=$_POST["delid"];
		}else{
			foreach($_POST["delid"] as $show){
			$todel[]=$show;
			}
		}
		$result=delshow($todel);
		if($result==0){
			echo "<div id=\"errmsg\">Error: delete show " . $_POST["id"] . "failed<br /></div>";
		}
		break;
	case "castshow":
		delcast($_POST["castid"]);
		addcast($_POST["castid"], $_POST["cast"]);
		break;
	case "delcastmember":
		$pair["actorid"]=$_POST["actorid"];
		$pair["showid"]=$_POST["showid"];
		delcastmember(array($pair));
		break;
}

$result=getshows();

?>
<div id="page_content">
<table cellpadding="5"><title>Shows</title>
<tr><th>Title</th><th>Start Date</th><th>End Date</th><th>Options</th></tr>
<?
foreach($result as $show){
    echo "<tr><td>".$show["title"]."</td><td>".$show["start"]."</td><td>".$show["end"]."</td><td>
	[ <a href=\" javascript: modshow('".$show["id"]."')\">modify</a>
	| <a href=\" javascript: delshow('".$show["id"]."')\">delete</a>
	| <a href=\" javascript: castshow('".$show["id"]."')\">casting</a> ]
	</td></tr>\n";
}
?>
</table>
<br/><br/><br/>
Manage Casts
	<?
	$shows=getshows();
	foreach($shows as $show){
		$cast=getcast($show["id"]);
		$labels=getprilabels($show["id"]);
		echo "<table rules=\"rows\" cellpadding=\"5\" border=\"2\"><caption>".$show["title"]."</caption>";
		echo "<th>Actor</th><th>Part</th><th>Priority</th><th>Options</th>";
		foreach($cast as $member){
			$actor=getactor($member["actorid"]);
			echo "<tr><td>".$actor["fname"]." ".$actor["lname"]."</td>";
			echo "<td>".$member["partname"]."</td>";
			echo "<td>".$labels[($member["priority"])]."</td>";
			echo "<td>[ <a href=\" javascript: castshow('".$show["id"]."')\">modify</a> |
				<a href=\" javascript: delcastmember('".$show["id"]."','".$actor["id"]."')\">delete</a> ]</td>";
			echo "</tr>";
			unset($actor);
		}
		echo "</table><br/>";
		unset($labels);
		unset($cast);
	}
	?>
<form id="delcastmember" action="?page=manageshows" method="POST" enctype="multipart/form-data">
	<input id="action" type="hidden" name="action" value="delcastmember" size="0"/>
	<input id="delcastmemberactorid" type="hidden" name="actorid" value="" size="0"/>
	<input id="delcastmembershowid" type="hidden" name="showid" value="" size="0"/>
</form>

<form id="delshow" action="?page=manageshows" method="POST" enctype="multipart/form-data">
	<input id="action" type="hidden" name="action" value="delshow" size="0"/>
	<input id="delid" type="hidden" name="delid" value="" size="0"/>
</form>

<form id="castshow" action="?page=manageshows&subpage=castshow" method="POST" enctype="multipart/form-data">
	<input id="action" type="hidden" name="action" value="castshow" size="0/">
	<input id="castid" type="hidden" name="castid" value="" size="0"/>
</form>

<form id="modshow" action="?page=manageshows&subpage=addshow" method="POST" enctype="multipart/form-data">
	<input id="action" type="hidden" name="action" value="modshow" size="0"/>
	<input id="modid" type="hidden" name="modid" value="" size="0"/>
</form>
</div>

<script type="text/javascript">
	function modshow(id)
	{
		document.getElementById("modid").value=id;
		document.getElementById("modshow").submit();
	}

	function delshow(id)
	{
		document.getElementById("delid").value=id;
		document.getElementById("delshow").submit();
	}

	function castshow(id)
	{
		document.getElementById("castid").value=id;
		document.getElementById("castshow").submit();
	}
	function delcastmember(showid,actorid){
		document.getElementById("delcastmembershowid").value=showid;
		document.getElementById("delcastmemberactorid").value=actorid;
		document.getElementById("delcastmember").submit();
	}
</script>

