<div id="page_header">Manage Actors</div>
<?php

switch ($_POST["action"]){
    case "addactor"://request to add an actor to the database
		//set up the array of actor values coming in from the form
		$toadd=array('id' => $_POST["id"],
			'fname'=>$_POST["fname"],
			'lname'=>$_POST["lname"],
			'phone'=>$_POST["phone"]
			);
		//check to see if this is a staff person
		if($_POST["staff"]=="true"){
			$toadd["staff"]="true";
		}else{
			$toadd["staff"]="false";
		}

		//addactor() takes an array of actor arrays, so we have to make this single actor an array element
		$result=addactor(array($toadd));
		if(!$result){
			echo "<div id=\"errmsg\">Error: add actor ".$_POST["id"]." failed<br /></div>\n";
		}

		//call routine for availbility POST data processing
		$avail=processpostavail($_POST);
		$result=addavail($toadd["id"], $avail);//send the arrays of availability data, and to whom they're attached
		if(!$result){
			echo "<div id=\"errmsg\">Error: add availability for ".$_POST["id"]." failed<br /></div>\n";
		}
		
		//clean up
		unset($currenttime);
	break;
	
    case "modactor":
		$tomod=array('id' => $_POST["id"],
			'oldid'=>$_POST["oldid"],
			'fname'=>$_POST["fname"],
			'lname'=>$_POST["lname"],
			'phone'=>$_POST["phone"],
			);
		if($_POST["staff"]!="true"){
			$tomod["staff"]="false";
		}else{
			$tomod["staff"]="true";
		}
		if(!modactor(array($tomod))){
			echo "<div id=\"errmsg\">Error: modify actor ".$_POST["oldid"]."\" failed<br /></div>\n";
		}
		$avail=processpostavail($_POST);
		if(!addavail($_POST["id"], $avail)){
			echo "<div id=\"errmsg\">Error: availability could not be saved for ".$_POST["id"]."</div>";
		}
	break;
	
    case "delactor":
	if(!is_array($_POST["delid"])){
	    $todel[]=$_POST["delid"];
	}else{
	    foreach($_POST["delid"] as $actor){
		$todel[]=$actor;
	    }
	}
	$result=delactor($todel);
	if(!$result){
	    echo "<div id=\"errmsg\">Error: delete actor ".$_POST["id"]."\" failed<br /></div>\n";
	}
}

$actors=getpeople();
?>

<div id="page_content">
	<table cellpadding="5">
<tr><th>Last Name</th><th>First Name</th><th>Email</th><th>Phone</th><th>Staff</th><th>Options</th></tr>

<? foreach($actors as $actor){
    echo "<tr>
			<td>".$actor["lname"]."</td>
			<td>".$actor["fname"]."</td>
			<td>".$actor["id"]."</td>
			<td>"; if(strlen($actor["phone"])<4){echo "-";}else{echo $actor["phone"];} echo "</td>
			<td>"; if($actor["staff"]=="true"){echo "*";} echo "</td>
			<td>[ <a href=\" javascript: modactor('".$actor["id"]."')\">modify</a> |
				<a href=\" javascript: delactor('".$actor["id"]."')\">delete</a> ]</td>
			</tr>";
}
?>
</table>
<form id="delactor" action="?page=manageactors" method="POST" enctype="multipart/form-data">
<input id="action" type="hidden" name="action" value="delactor" size=0 />
<input id="delid" type="hidden" name="delid" value="" size=0 />
</form>

<form id="modactor" action="?page=manageactors&subpage=addactor" method="POST" enctype="multipart/form-data">
<input id="action" type="hidden" name="action" value="modactor" size=0 />
<input id="modid" type="hidden" name="modid" value="" size=0 />
</form>
</div>

<script type="text/javascript">
function modactor(id)
{
    document.getElementById("modid").value=id;
    document.getElementById("modactor").submit();
}

function delactor(id)
{
    document.getElementById("delid").value=id;
    document.getElementById("delactor").submit();
}
</script>
